package com.ifish.entity;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 * 等级控制信息ID
 * @author Administrator
 *
 */
@Embeddable
public class GradeControlId implements Serializable{

	private static final long serialVersionUID = -728035080350308137L;
	/**
	 * 用户ID
	 */
	@Column(name="user_id")
	private Integer userId;
	/**
	 * 规则类型
	 */
	@Column(name="task_type",nullable=false,length=20)
	private String ruleType;
	
	public GradeControlId() {}
	
	public GradeControlId(Integer userId, String ruleType) {
		this.userId = userId;
		this.ruleType = ruleType;
	}

	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getRuleType() {
		return ruleType;
	}

	public void setRuleType(String ruleType) {
		this.ruleType = ruleType;
	}

	@Override
	public int hashCode() {
		 return super.hashCode();
	}

	@Override
	public boolean equals(Object obj) {
		return super.equals(obj);
	}
	
}
